# module ActiveModel::Validations::Callbacks

## Active Model Validation Callbacks¶ ↑

Provides an interface for any class to have `before_validation` and `after_validation` callbacks.

First, include ActiveModel::Validations::Callbacks from the class you are creating:

    class MyModel
      include ActiveModel::Validations::Callbacks

      before_validation :do_stuff_before_validation
      after_validation  :do_stuff_after_validation
    end

Like other `before_*` callbacks if `before_validation` throws `:abort` then `valid?` will not be called.

### Private Instance Methods

run_validations!() click to toggle source

Overwrite run validations to include callbacks.

Calls superclass method

    # File lib/active_model/validations/callbacks.rb, line 109
    def run_validations!
      _run_validation_callbacks { super }
    end